diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 09309ba0390..42e428dd8a5 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -2054,8 +2054,6 @@ MINUTE TO SECOND
       <table id="datatype-datetime-time-table">
        <title>Time Input</title>
        <tgroup cols="2">
-        <colspec colname="col1" colwidth="3*"/>
-        <colspec colname="col2" colwidth="2*"/>
         <thead>
          <row>
           <entry>Example</entry>
@@ -5234,8 +5232,8 @@ WHERE ...
     <table id="datatype-pseudotypes-table">
      <title>Pseudo-Types</title>
      <tgroup cols="2">
-      <colspec colname="col1" colwidth="2*"/>
-      <colspec colname="col2" colwidth="3*"/>
+      <colspec colname="col1" colwidth="1*"/>
+      <colspec colname="col2" colwidth="2*"/>
       <thead>
        <row>
         <entry>Name</entry>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 27ec46105f4..d57a0ae52a7 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -6561,6 +6561,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Atoms</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Atom</entry>
@@ -6643,6 +6645,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Quantifiers</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Quantifier</entry>
@@ -6747,6 +6751,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Constraints</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Constraint</entry>
@@ -6985,6 +6991,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Character-Entry Escapes</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Escape</entry>
@@ -7126,6 +7134,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Class-Shorthand Escapes</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Escape</entry>
@@ -7185,6 +7195,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Constraint Escapes</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Escape</entry>
@@ -7241,6 +7253,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>Regular Expression Back References</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Escape</entry>
@@ -7322,6 +7336,8 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     <title>ARE Embedded-Option Letters</title>
 
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Option</entry>
@@ -8130,6 +8146,8 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
     <table id="functions-formatting-datetime-table">
      <title>Template Patterns for Date/Time Formatting</title>
      <tgroup cols="2">
+      <colspec colname="col1" colwidth="1*"/>
+      <colspec colname="col2" colwidth="3*"/>
       <thead>
        <row>
         <entry>Pattern</entry>
@@ -8723,6 +8741,8 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
     <table id="functions-formatting-numeric-table">
      <title>Template Patterns for Numeric Formatting</title>
      <tgroup cols="2">
+      <colspec colname="col1" colwidth="1*"/>
+      <colspec colname="col2" colwidth="3*"/>
       <thead>
        <row>
         <entry>Pattern</entry>
@@ -26927,6 +26947,8 @@ SELECT currval(pg_get_serial_sequence('sometable', 'id'));
   <table id="functions-info-index-column-props">
    <title>Index Column Properties</title>
    <tgroup cols="2">
+    <colspec colname="col1" colwidth="1*"/>
+    <colspec colname="col2" colwidth="3*"/>
     <thead>
      <row><entry>Name</entry><entry>Description</entry></row>
     </thead>
@@ -26986,6 +27008,8 @@ SELECT currval(pg_get_serial_sequence('sometable', 'id'));
   <table id="functions-info-index-props">
    <title>Index Properties</title>
    <tgroup cols="2">
+    <colspec colname="col1" colwidth="1*"/>
+    <colspec colname="col2" colwidth="3*"/>
     <thead>
      <row><entry>Name</entry><entry>Description</entry></row>
     </thead>
@@ -27019,6 +27043,8 @@ SELECT currval(pg_get_serial_sequence('sometable', 'id'));
   <table id="functions-info-indexam-props">
    <title>Index Access Method Properties</title>
    <tgroup cols="2">
+    <colspec colname="col1" colwidth="1*"/>
+    <colspec colname="col2" colwidth="3*"/>
     <thead>
      <row><entry>Name</entry><entry>Description</entry></row>
     </thead>
@@ -27058,6 +27084,8 @@ SELECT currval(pg_get_serial_sequence('sometable', 'id'));
   <table id="functions-pg-settings-flags">
    <title>GUC Flags</title>
    <tgroup cols="2">
+    <colspec colname="col1" colwidth="1*"/>
+    <colspec colname="col2" colwidth="3*"/>
     <thead>
      <row><entry>Flag</entry><entry>Description</entry></row>
     </thead>
@@ -27701,6 +27729,8 @@ acl      | {postgres=arwdDxtm/postgres,foo=r/postgres}
    <table id="functions-pg-snapshot-parts">
     <title>Snapshot Components</title>
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Name</entry>
@@ -28263,6 +28293,8 @@ acl      | {postgres=arwdDxtm/postgres,foo=r/postgres}
    <table id="functions-pg-control-recovery">
     <title><function>pg_control_recovery</function> Output Columns</title>
     <tgroup cols="2">
+     <colspec colname="col1" colwidth="1*"/>
+     <colspec colname="col2" colwidth="3*"/>
      <thead>
       <row>
        <entry>Column Name</entry>
diff --git a/doc/src/sgml/storage.sgml b/doc/src/sgml/storage.sgml
index 61250799ec0..02ddfda834a 100644
--- a/doc/src/sgml/storage.sgml
+++ b/doc/src/sgml/storage.sgml
@@ -39,6 +39,8 @@ these required items, the cluster configuration files
 <table tocentry="1" id="pgdata-contents-table">
 <title>Contents of <varname>PGDATA</varname></title>
 <tgroup cols="2">
+ <colspec colname="col1" colwidth="1*"/>
+ <colspec colname="col2" colwidth="2*"/>
 <thead>
 <row>
 <entry>
@@ -743,6 +745,8 @@ There are five parts to each page.
 <title>Overall Page Layout</title>
 <titleabbrev>Page Layout</titleabbrev>
 <tgroup cols="2">
+ <colspec colname="col1" colwidth="1*"/>
+ <colspec colname="col2" colwidth="2*"/>
 <thead>
 <row>
 <entry>
